> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/rest-api/data-feeds/reference-data/basic-tier/defi-protocol-codes.md).

# DeFi protocol codes

{% hint style="info" %}
You can explore all exchanges, assets, and get codes for them using our [instrument explorer](https://instruments.kaiko.com/#/instruments). Alternatively, if you want to obtain the data in a more programmatic way, use this endpoint.
{% endhint %}

### What is this endpoint for?

This endpoint retrieves a list of defi protocols and associated codes. This can help you identify which exchanges are defi when working with our data.

### Endpoint

```
https://reference-data-api.kaiko.io/v1/pools-protocols
```

### Parameters

No parameters supported

### Fields

| Field      | Description                                        |
| ---------- | -------------------------------------------------- |
| `protocol` | The protocol code. ex:`crm`,`aav2`, `curv`, `blc2` |

### Request example

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```url
curl --compressed -H 'Accept: application/json' 'https://reference-data-api.kaiko.io/v1/pools-protocols'
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Response example

{% tabs %}
{% tab title="JSON" %}
{% code fullWidth="false" %}

```json
{
    "result": "success",
    "data": [
        "crm",
        "cmpd",
        "pksp",
        "aav2",
        "curv",
        "qsp3",
        "aav3",
        "mkr",
        "tjv2",
        "qsp2",
        "usp2",
        "sush",
        "tj21",
        "blcr",
        "tjv1",
        "aav1",
        "blc2",
        "usp3",
        "crv2"
    ]
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/rest-api/data-feeds/reference-data/basic-tier/defi-protocol-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
